Subject: Re: Regression associated with commit c8628155ece3 - "tcp: reduce out_of_order memory use"

From: Larry Finger <[email-masked]>
Date: Mon, 10 Sep 2012 09:53:51 -0500

On 09/10/2012 03:39 AM, Eric Dumazet wrote:
> On Mon, 2012-08-27 at 12:55 -0500, Larry Finger wrote:
>
>> I have prepared a patch to fix all the unchecked allocations.
>>
>> Over the weekend I made some progress. To test the latest vendor driver, I
>> installed a 32-bit system. Their driver is not compatible with a 64-bit system.
>> I found that not only did the vendor driver work with secure sites, but so did
>> the in-kernel version. I now have tcpdump output for the 32-bit case that works,
>> and the 64-bit case that fails. It seems likely that I missed some 32/64 bit
>> incompatibility when I did the conversion.
>>
>> Thanks for all your help in trying to resolve this issue.
>>
>> Larry
>>
>>
>
> Hi Larry
>
> It appears I have a D-Link N300 (DWA-131) nano USB adapter, using
> staging/rtl8712 driver.
>
> I tried many kernel versions (including 3.3) and none seems to work
> reliably.
>
> Sometime, I have some traffic but only for about 50 frames...
> It might be because my access point is a netgear wndr3800, because I
> have following warning a bit before the freezes :
>
> r8712u: [r8712_got_addbareq_event_callback] mac = 20:4e:7f:5a:cd:30, sea = 80, tid = 0

Eric,

What is the md5sum for the firmware file /lib/firmware/rtlwifi/rtl8712u.bin? 
Over the weekend, there was a report of another device that had problems with 
firmware that was added to the linux-firmware repo in July with md5sum of 
c6f3b7b880aefb7b3f249428d659bdbb. An older version with md5sum of 
200fd952db3cc9259b1fd05e3e51966f works in that case. I'll send you this one 
privately.

I have a Netgear WNDR3300 and also get the addbareq events, but I do not get 
freezes. I'm not sure the message is correlated.

Larry